### Function

# Gimp context_set_foreground

since: 2.2

#### Declaration [src]

    gboolean
    gimp_context_set_foreground (
      GeglColor* foreground
    )

#### Description [src]

Set the current GIMP foreground color.

Sets the current GIMP foreground color. After this is set, operations which use foreground such as paint tools, blending, and bucket fill will use the new value.

Available since: 2.2

#### Parameters

`foreground`

  Type: `GeglColor`

  The foreground color.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.